"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StudentEmbeddedSchema = exports.StudentEmbedded = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const identifable_schema_1 = require("../identifable.schema");
const dictionary_embedded_schema_1 = require("./dictionary-embedded.schema");
const person_schema_1 = require("./person.schema");
const parent_schema_1 = require("../parent.schema");
let StudentEmbedded = class StudentEmbedded extends identifable_schema_1.Identifable {
};
exports.StudentEmbedded = StudentEmbedded;
__decorate([
    (0, mongoose_1.Prop)({ required: false, type: String }),
    __metadata("design:type", String)
], StudentEmbedded.prototype, "description", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: parent_schema_1.ParentSchema, required: true }),
    __metadata("design:type", Object)
], StudentEmbedded.prototype, "parent", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: person_schema_1.PersonSchema, required: true }),
    __metadata("design:type", Object)
], StudentEmbedded.prototype, "person", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: dictionary_embedded_schema_1.DictionaryEmbeddedSchema, required: true }),
    __metadata("design:type", Object)
], StudentEmbedded.prototype, "knowladgeLevel", void 0);
exports.StudentEmbedded = StudentEmbedded = __decorate([
    (0, mongoose_1.Schema)({ _id: false })
], StudentEmbedded);
exports.StudentEmbeddedSchema = mongoose_1.SchemaFactory.createForClass(StudentEmbedded);
//# sourceMappingURL=student-embedded.schema.js.map