import { HydratedDocument, Schema as MongooseSchema, Types } from 'mongoose';
import { ITeacher } from '../../interfaces/teacher.interface';
import { IPerson } from '../../interfaces/person.interface';
export declare class Teacher implements ITeacher {
    userId: Types.ObjectId | string;
    person: IPerson;
}
export declare const TeacherSchema: MongooseSchema<Teacher, import("mongoose").Model<Teacher, any, any, any, import("mongoose").Document<unknown, any, Teacher> & Teacher & {
    _id: Types.ObjectId;
} & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Teacher, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<Teacher>> & import("mongoose").FlatRecord<Teacher> & {
    _id: Types.ObjectId;
} & {
    __v?: number;
}>;
export type TeacherDocument = HydratedDocument<Teacher>;
