"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParentSchema = exports.Parent = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const mongoose_2 = require("mongoose");
const contact_schema_1 = require("./embedded/contact.schema");
const person_schema_1 = require("./embedded/person.schema");
let Parent = class Parent {
};
exports.Parent = Parent;
__decorate([
    (0, mongoose_1.Prop)({ required: true, type: mongoose_2.Schema.Types.ObjectId }),
    __metadata("design:type", String)
], Parent.prototype, "userId", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: person_schema_1.PersonSchema, required: true }),
    __metadata("design:type", Object)
], Parent.prototype, "person", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: [contact_schema_1.ContactSchema], required: true, default: [] }),
    __metadata("design:type", Array)
], Parent.prototype, "contacts", void 0);
exports.Parent = Parent = __decorate([
    (0, mongoose_1.Schema)({ _id: false })
], Parent);
exports.ParentSchema = mongoose_1.SchemaFactory.createForClass(Parent);
//# sourceMappingURL=parent.schema.js.map