import { HydratedDocument, Schema as MongooseSchema, Types } from 'mongoose';
import { IDictionary } from '../../interfaces/dictionary.interface';
import { Base } from '../base.schema';
import { II18n } from '../../interfaces/i18n.interface';
export declare class DictionaryEmbedded extends Base implements IDictionary {
    parentIds: Types.ObjectId[];
    title: II18n;
    metas: Map<string, string>;
    keyword: string;
}
export declare const DictionaryEmbeddedSchema: MongooseSchema<DictionaryEmbedded, import("mongoose").Model<DictionaryEmbedded, any, any, any, import("mongoose").Document<unknown, any, DictionaryEmbedded> & DictionaryEmbedded & Required<{
    _id: Types.ObjectId;
}> & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, DictionaryEmbedded, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<DictionaryEmbedded>> & import("mongoose").FlatRecord<DictionaryEmbedded> & Required<{
    _id: Types.ObjectId;
}> & {
    __v?: number;
}>;
export type DictionaryEmbeddedDocument = HydratedDocument<DictionaryEmbedded>;
