"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecordSchema = exports.Record = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const record_state_enum_1 = require("../../enums/record-state.enum");
let Record = class Record {
};
exports.Record = Record;
__decorate([
    (0, mongoose_1.Prop)({ type: String, enum: record_state_enum_1.RecordState, required: true, default: record_state_enum_1.RecordState.DRAFT }),
    __metadata("design:type", String)
], Record.prototype, "state", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: Boolean, required: true, default: false }),
    __metadata("design:type", Boolean)
], Record.prototype, "deleted", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: Date, required: true, default: Date.now }),
    __metadata("design:type", Date)
], Record.prototype, "createdAt", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: Date, required: false }),
    __metadata("design:type", Date)
], Record.prototype, "updatedAt", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: Date, required: false }),
    __metadata("design:type", Date)
], Record.prototype, "deletedAt", void 0);
exports.Record = Record = __decorate([
    (0, mongoose_1.Schema)({ _id: false })
], Record);
exports.RecordSchema = mongoose_1.SchemaFactory.createForClass(Record);
//# sourceMappingURL=record.embedded.js.map