import { Injectable, PipeTransform } from '@nestjs/common';
import { ObjectId } from 'bson';
import { toMongoId } from '../utils/helper.utils';

@Injectable()
export class MongoIdPipe implements PipeTransform<string, ObjectId> {
    transform(value: string): ObjectId {
        return toMongoId(value);
    }
}
